<?php

ob_start();

require("includes/check_auth_user.php");

require("includes/dbconnect.php");

include('includes/function.php');



$para = $_REQUEST['para'];



$maindb = "accmast";

$formname = "Expense Print";

$file = "expense_print.php?para=$para";



$admin = $_SESSION["admin_" . $dbname];

$zdb = $_SESSION["zdbyear_" . $dbname];

$myyear = $_SESSION[$myyear];

$series = $_SESSION["society_" . $dbname];

$zroot = $_SESSION["zdir"];

$zcomp = $_SESSION["comp_" . $dbname];

$fseries = $_SESSION["society_" . $dbname];

$getcomp = mysqli_query($conn, "SELECT * FROM $zroot.`company` where `code` = '$fseries'")or die(mysqli_error($conn));

$comp = mysqli_fetch_array($getcomp);



mysqli_select_db($conn, $zdb);



if (isset($_POST["view"])) {

    $name = $_POST['name'];



    $namecond = "";



    if (!empty($name)) {

        $namecond = " AND `accode`='$name' ";

    }

    

    

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `accode`!='' and grpcode='012' $namecond order by name")or die(mysqli_error($conn));



    include("includes/linkshead.php");

    ?>

    </head>

    <body>

        <div class="container">



            <?php include("includes/head_rep.php"); ?>



            <div class="row">

                <div class="col-lg-12 ">

                    <table class="table table-condensed table-bordered">

                        <tr  class="mySearchTr">

                            <th>Sr</th>

                            <!--<th>Manual Code</th>-->

                            <th>Name</th>                        

                        </tr>

                        <?php

                        $ctr = 1;

                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $name = $pmain['name'];

                            $mancode = $pmain['mancode'];



                            Echo "<tr>";

                            Echo"<td>$ctr</td>";

//                            Echo"<td>$mancode</td>";

                            Echo"<td>$name</td>";

                            Echo "</tr>";

                            $ctr++;

                        }

                        ?>

                    </table>

                </div>

            </div>

        </div>



        <?php include("includes/linksfoot.php"); ?>

    </body>

    </html>

    <?

}

if (isset($_POST["excel"])) {

    $name = $_POST['name'];



    $namecond = "";



    if (!empty($name)) {

        $namecond = " AND `accode`='$name' ";

    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `accode`!='' and grpcode='012' and series = '$series' $namecond order by name")or die(mysqli_error($conn));



    $contents .= "Sr,Manual Code,Name\n";



    $ctr = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {



        $ctr++;

        $pname = $pmain['name'];

        $pcode = $pmain['mancode'];



        $contents .= $ctr . ",";

        $contents .= $pcode . "\n";

        $contents .= $pname . "\n";

    }

    $contents = strip_tags($contents);



    if ($_POST["dtype"] == 1) {

        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");

        print $contents;

    } else {

        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");

        print $contents;

    }

}

if (isset($_POST["subpdf"])) {

    $name = $_POST['name'];



    $namecond = "";



    if (!empty($name)) {

        $namecond = " AND `accode`='$name' ";

    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `accode`!='' and grpcode='012' and series = '$series' $namecond ")or die(mysqli_error($conn));



    require("library/fpdf/fpdf.php");



    class pdf extends fpdf {



        function Footer() {



//Position at 1.5 cm from bottom



            $this->SetY(-15);



//Arial italic 8



            $this->SetFont('Arial', 'I', 8);



//Page number



            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');

        }



    }



    $pdf = new pdf('P', 'mm', 'A4');



    $pdf->AliasNbPages();



    $pdf->AddPage();

    $pdf->SetFont('Arial', '', 12);

    $pdf->SetFillColor(210, 204, 204);

    $pdf->SetTextColor(000, 000, 000);

    if ($dtype == 1) {

        $rtype = " - Summary";

    } elseif ($dtype == 2) {

        $rtype = " - Detail";

    } elseif ($dtype == '') {

        $rtype = '';

    }

    if ($mfdt != '') {

        $mfdt = "From Date - $mfdt";

    }if ($mtdt != '') {

        $mtdt = "To Date - $mtdt";

    }

    $pdf->MultiCell(178, 7, "$comp[compname]\n$comp[address]\n$formname $rtype " . "                                                                                                   " . "Report Date-" . Date("d-m-Y") . "\n" . $mfdt . "          " . $mtdt, Alignment . LEFT, false, 1, 0, '', 1);

    $pdf->SetFont('Arial', '', 1, 0);



    $pdf->SetTextColor(0, 0, 0);

    $pdf->SetFont('Arial', 'I', 10);

    $pdf->SetTextColor(238, 61, 111);

    $pdf->SetFillColor(204, 204, 204);

    $pdf->Cell(178, 7, "Date - " . Date("d-m-y"), 1, 0, '', 1, 0, 'L');

    $pdf->Ln();

    $pdf->Cell(178, 7, "Print - " . $formname, 1, 0, '', 1, 0, 'L');

    $pdf->SetFont('Arial', '', 1, 0);



    $pdf->SetTextColor(0, 0, 0);

    $pdf->Ln();



    $pdf->SetFont('Arial', 'I', 10);

    $pdf->SetTextColor(000, 000, 000);

    $pdf->SetFillColor(239, 228, 176);

    $pdf->Cell(40, 7, "Sr", 1, 0, '', 1);

    $pdf->Cell(138, 7, "Name", 1, 0, '', 1);

    $pdf->SetFont('Arial', '', 1, 0);



    $pdf->SetTextColor(0, 0, 0);

    $pdf->Ln();



    $ctr = 1;

    while ($pmain = mysqli_fetch_array($getpmain)) {

        $name = $pmain['name'];

        $pdf->SetFont('Arial', '', 10);

        $pdf->Cell(40, 7, "$ctr", 1);

        $pdf->Cell(138, 7, "$name", 1);

        $pdf->Ln();

        $ctr++;

    }

    $pdf->Output("Expense.pdf", "D");

}

?>